Bug 440479 - Nightmare getting audio-in to work on ThinkPad T61
Nightmare getting audio-in to work on ThinkPad T61
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-03 14:17 EDT by Ed Swierk
Modified: 2014-09-22 10:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eswierk: needinfo-

Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2008-04-03 14:17:52 EDT
I'm sure this bug overlaps with other, more specific ones but I don't know 
enough about ALSA and mixers and sound drivers to know which ones, and that's 
exactly the point.

I just want to get the internal microphone to work on my ThinkPad T61 so I can 
communicate using Skype.

Ideally the out-of-the-box settings would just work, but even if they did, 
let's assume for the moment that I had somehow messed them up and wanted to 
make audio-in work again.

Problem 1: Which tool should I use to mess with the audio settings?  I use 
KDE, so the first place I go is the KMix applet, but I see lots of references 
to alsamixer. 

Problem 2: Both KMix and alsamixer are utterly baffling.  In KMix I see three 
tabs: Output, Input and Switches.  On the Output tab there are 9 sliders, 6 of 
which contain the word "Mic".  Some appear to have a toggle button that 
alternates between light green and dark green when I click them.  I have no 
idea what those are supposed to do.  What do Mic sliders have to do with audio 
Output, anyway?  On the Input tab there are 6 sliders, 2 of them 
named "Capture".  Each has a toggle button that alternates between light red 
and dark red.  Finally, on the Switches tab there are two toggle buttons 
(Headphone and Speaker) and two drop-down menus, both labeled Input Source and 
both with the same set of choices.  All I can say is, WTF????  alsamixer looks 
similar, but with the added bonus of keyboard-based navigation.

Problem 3: Is there a simple way to test audio-in without launching some 
heavyweight application like Skype that might introduce its own set of 
problems?  I just want a little program that displays visually what's coming 
in on the microphone so I can see that I'm being heard.  KRec looks 
deceivingly simple but I have yet to figure out how to use it.

Apologies for the rant, but having wrestled with audio settings since Red Hat 
4.something and seen no improvement in usability, I am waving the white flag.
Comment 1 Martin Stransky 2008-05-06 03:30:29 EDT
Could you check the latest F9 snapshot?
Comment 2 Bug Zapper 2008-11-26 05:23:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 01:19:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.